<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
	<head>
		<meta charset="UTF-8" />
		<title>Sidebar</title>
	</head>
	<body>
		<aside
			x-cloak
			x-show="openSidebar"
			x-transition:enter="transition-transform ease-out duration-200"
			x-transition:enter-start="-translate-x-full"
			x-transition:enter-end="translate-x-0"
			x-transition:leave="transition-transform ease-in duration-200"
			x-transition:leave-start="translate-x-0"
			x-transition:leave-end="-translate-x-full"
			class="fixed left-0 top-0 z-50 h-full w-64 bg-surface-container transition-all duration-200 ease-linear"
			aria-label="Sidebar"
			th:fragment="sidebar"
		>
			<div class="flex h-full flex-col">
				<!-- brand -->
				<div class="px-5 py-3">
					<a th:href="@{'/'}"><img th:src="@{'/img/logo.svg'}" class="h-9" alt="STIMIK Tazkia Logo" /></a>
				</div>
				<!-- Navigation Menu -->
				<div class="flex-1 overflow-y-auto px-3 py-4">
					<ul class="space-y-1 font-medium">
						<!-- News -->
						<li>
							<a
								th:attrappend="data-active=${linkActive == 'dashboard'}? 'true'"
								th:href="@{/dashboard}"
								class="flex items-center rounded-default p-2 text-on-surface-lower hover:bg-surface-container-higher hover:text-on-surface data-[active=true]:bg-surface-container-higher data-[active=true]:text-on-surface"
							>
								<svg
									xmlns="http://www.w3.org/2000/svg"
									fill="none"
									viewBox="0 0 24 24"
									stroke-width="1.5"
									stroke="currentColor"
									class="size-5"
								>
									<path
										stroke-linecap="round"
										stroke-linejoin="round"
										d="m2.25 12 8.954-8.955c.44-.439 1.152-.439 1.591 0L21.75 12M4.5 9.75v10.125c0 .621.504 1.125 1.125 1.125H9.75v-4.875c0-.621.504-1.125 1.125-1.125h2.25c.621 0 1.125.504 1.125 1.125V21h4.125c.621 0 1.125-.504 1.125-1.125V9.75M8.25 21h8.25"
									/>
								</svg>
								<span class="ms-3 flex-1 truncate whitespace-nowrap">Dashboard</span>
							</a>
						</li>
						<li
							th:x-data="'{ isOpen :' + (${linkActive == 'newsList' ? 'true' : (linkActive == 'newsCreate' ? 'true' : 'false')}) + '}'"
						>
							<button
								@click="isOpen = !isOpen"
								type="button"
								class="flex w-full items-center rounded-default p-2 text-on-surface-lower hover:bg-surface-container-higher hover:text-on-surface"
							>
								<svg
									xmlns="http://www.w3.org/2000/svg"
									fill="none"
									viewBox="0 0 24 24"
									stroke-width="1.5"
									stroke="currentColor"
									class="size-5"
								>
									<path
										stroke-linecap="round"
										stroke-linejoin="round"
										d="M12 7.5h1.5m-1.5 3h1.5m-7.5 3h7.5m-7.5 3h7.5m3-9h3.375c.621 0 1.125.504 1.125 1.125V18a2.25 2.25 0 0 1-2.25 2.25M16.5 7.5V18a2.25 2.25 0 0 0 2.25 2.25M16.5 7.5V4.875c0-.621-.504-1.125-1.125-1.125H4.125C3.504 3.75 3 4.254 3 4.875V18a2.25 2.25 0 0 0 2.25 2.25h13.5M6 7.5h3v3H6v-3Z"
									/>
								</svg>

								<span class="ms-3 flex-1 whitespace-nowrap text-left rtl:text-right">News</span>
								<svg
									:class="{'rotate-180' : isOpen }"
									xmlns="http://www.w3.org/2000/svg"
									fill="none"
									viewBox="0 0 24 24"
									stroke-width="1.5"
									stroke="currentColor"
									class="size-4 transition-transform ease-in-out"
								>
									<path
										stroke-linecap="round"
										stroke-linejoin="round"
										d="m19.5 8.25-7.5 7.5-7.5-7.5"
									></path>
								</svg>
							</button>
							<ul
								x-show="isOpen"
								x-collapse.duration.200ms
								class="ml-4 space-y-1 border-l border-surface-outline-lower py-1 ps-4"
							>
								<li>
									<a
										th:attrappend="data-active=${linkActive == 'newsList'}? 'true'"
										th:href="@{'/news/list'}"
										class="flex w-full items-center rounded-default p-2 py-1.5 text-on-surface-lower hover:bg-surface-container-higher hover:text-on-surface data-[active=true]:bg-surface-container-higher"
										>All News</a
									>
								</li>
								<li>
									<a
										th:attrappend="data-active=${linkActive == 'newsCreate'}? 'true'"
										th:href="@{'/news/create'}"
										class="flex w-full items-center rounded-default p-2 py-1.5 text-on-surface-lower hover:bg-surface-container-higher hover:text-on-surface data-[active=true]:bg-surface-container-higher"
										>Add News</a
									>
								</li>
							</ul>
						</li>
						<li>
							<a
								th:attrappend="data-active=${linkActive == 'kipKuliah'}? 'true'"
								th:href="@{/kipkuliah/list}"
								class="flex items-center rounded-default p-2 text-on-surface-lower hover:bg-surface-container-higher hover:text-on-surface data-[active=true]:bg-surface-container-higher data-[active=true]:text-on-surface"
							>
								<svg
									xmlns="http://www.w3.org/2000/svg"
									fill="none"
									viewBox="0 0 24 24"
									stroke-width="1.5"
									stroke="currentColor"
									class="size-5"
								>
									<path
										stroke-linecap="round"
										stroke-linejoin="round"
										d="M18 18.72a9.094 9.094 0 0 0 3.741-.479 3 3 0 0 0-4.682-2.72m.94 3.198.001.031c0 .225-.012.447-.037.666A11.944 11.944 0 0 1 12 21c-2.17 0-4.207-.576-5.963-1.584A6.062 6.062 0 0 1 6 18.719m12 0a5.971 5.971 0 0 0-.941-3.197m0 0A5.995 5.995 0 0 0 12 12.75a5.995 5.995 0 0 0-5.058 2.772m0 0a3 3 0 0 0-4.681 2.72 8.986 8.986 0 0 0 3.74.477m.94-3.197a5.971 5.971 0 0 0-.94 3.197M15 6.75a3 3 0 1 1-6 0 3 3 0 0 1 6 0Zm6 3a2.25 2.25 0 1 1-4.5 0 2.25 2.25 0 0 1 4.5 0Zm-13.5 0a2.25 2.25 0 1 1-4.5 0 2.25 2.25 0 0 1 4.5 0Z"
									/>
								</svg>

								<span class="ms-3 flex-1 truncate whitespace-nowrap">KIP Kuliah</span>
							</a>
						</li>
						<!-- users -->
						<li
							th:x-data="'{ isOpen :' + (${linkActive == 'usersList' ? 'true' : (linkActive == 'userCreate' ? 'true' : 'false')}) + '}'"
						>
							<button
								@click="isOpen = !isOpen"
								type="button"
								class="flex w-full items-center rounded-default p-2 text-on-surface-lower hover:bg-surface-container-higher hover:text-on-surface"
							>
								<svg
									xmlns="http://www.w3.org/2000/svg"
									fill="none"
									viewBox="0 0 24 24"
									stroke-width="1.5"
									stroke="currentColor"
									class="h-5 w-5 flex-shrink-0"
								>
									<path
										stroke-linecap="round"
										stroke-linejoin="round"
										d="M15 19.128a9.38 9.38 0 0 0 2.625.372 9.337 9.337 0 0 0 4.121-.952 4.125 4.125 0 0 0-7.533-2.493M15 19.128v-.003c0-1.113-.285-2.16-.786-3.07M15 19.128v.106A12.318 12.318 0 0 1 8.624 21c-2.331 0-4.512-.645-6.374-1.766l-.001-.109a6.375 6.375 0 0 1 11.964-3.07M12 6.375a3.375 3.375 0 1 1-6.75 0 3.375 3.375 0 0 1 6.75 0Zm8.25 2.25a2.625 2.625 0 1 1-5.25 0 2.625 2.625 0 0 1 5.25 0Z"
									/>
								</svg>

								<span class="ms-3 flex-1 whitespace-nowrap text-left rtl:text-right">Users</span>
								<svg
									:class="{'rotate-180' : isOpen }"
									xmlns="http://www.w3.org/2000/svg"
									fill="none"
									viewBox="0 0 24 24"
									stroke-width="1.5"
									stroke="currentColor"
									class="size-4 transition-transform ease-in-out"
								>
									<path
										stroke-linecap="round"
										stroke-linejoin="round"
										d="m19.5 8.25-7.5 7.5-7.5-7.5"
									></path>
								</svg>
							</button>
							<ul
								x-show="isOpen"
								x-collapse.duration.200ms
								class="ml-4 space-y-1 border-l border-surface-outline-lower py-1 ps-4"
							>
								<li>
									<a
										th:attrappend="data-active=${linkActive == 'usersList'}? 'true'"
										th:href="@{'/user/list'}"
										class="flex w-full items-center rounded-default p-2 py-1.5 text-on-surface-lower hover:bg-surface-container-higher hover:text-on-surface data-[active=true]:bg-surface-container-higher"
										>All Users</a
									>
								</li>
								<li>
									<a
										th:attrappend="data-active=${linkActive == 'userCreate'}? 'true'"
										th:href="@{'/user/create'}"
										class="flex w-full items-center rounded-default p-2 py-1.5 text-on-surface-lower hover:bg-surface-container-higher hover:text-on-surface data-[active=true]:bg-surface-container-higher"
										>Add User</a
									>
								</li>
							</ul>
						</li>
						<!-- settings -->
						<li th:x-data="'{ isOpen :' + (${linkActive == 'kipPeriodesList' ? 'true' : 'false'}) + '}'">
							<button
								@click="isOpen = !isOpen"
								type="button"
								class="flex w-full items-center rounded-default p-2 text-on-surface-lower hover:bg-surface-container-higher hover:text-on-surface"
							>
								<svg
									xmlns="http://www.w3.org/2000/svg"
									fill="none"
									viewBox="0 0 24 24"
									stroke-width="1.5"
									stroke="currentColor"
									class="h-5 w-5 flex-shrink-0"
								>
									<path
										stroke-linecap="round"
										stroke-linejoin="round"
										d="M9.594 3.94c.09-.542.56-.94 1.11-.94h2.593c.55 0 1.02.398 1.11.94l.213 1.281c.063.374.313.686.645.87.074.04.147.083.22.127.325.196.72.257 1.075.124l1.217-.456a1.125 1.125 0 0 1 1.37.49l1.296 2.247a1.125 1.125 0 0 1-.26 1.431l-1.003.827c-.293.241-.438.613-.43.992a7.723 7.723 0 0 1 0 .255c-.008.378.137.75.43.991l1.004.827c.424.35.534.955.26 1.43l-1.298 2.247a1.125 1.125 0 0 1-1.369.491l-1.217-.456c-.355-.133-.75-.072-1.076.124a6.47 6.47 0 0 1-.22.128c-.331.183-.581.495-.644.869l-.213 1.281c-.09.543-.56.94-1.11.94h-2.594c-.55 0-1.019-.398-1.11-.94l-.213-1.281c-.062-.374-.312-.686-.644-.87a6.52 6.52 0 0 1-.22-.127c-.325-.196-.72-.257-1.076-.124l-1.217.456a1.125 1.125 0 0 1-1.369-.49l-1.297-2.247a1.125 1.125 0 0 1 .26-1.431l1.004-.827c.292-.24.437-.613.43-.991a6.932 6.932 0 0 1 0-.255c.007-.38-.138-.751-.43-.992l-1.004-.827a1.125 1.125 0 0 1-.26-1.43l1.297-2.247a1.125 1.125 0 0 1 1.37-.491l1.216.456c.356.133.751.072 1.076-.124.072-.044.146-.086.22-.128.332-.183.582-.495.644-.869l.214-1.28Z"
									/>
									<path
										stroke-linecap="round"
										stroke-linejoin="round"
										d="M15 12a3 3 0 1 1-6 0 3 3 0 0 1 6 0Z"
									/>
								</svg>

								<span class="ms-3 flex-1 whitespace-nowrap text-left rtl:text-right">Settings</span>
								<svg
									:class="{'rotate-180' : isOpen }"
									xmlns="http://www.w3.org/2000/svg"
									fill="none"
									viewBox="0 0 24 24"
									stroke-width="1.5"
									stroke="currentColor"
									class="size-4 transition-transform ease-in-out"
								>
									<path
										stroke-linecap="round"
										stroke-linejoin="round"
										d="m19.5 8.25-7.5 7.5-7.5-7.5"
									></path>
								</svg>
							</button>
							<ul
								x-show="isOpen"
								x-collapse.duration.200ms
								class="ml-4 space-y-1 border-l border-surface-outline-lower py-1 ps-4"
							>
								<li>
									<a
										th:attrappend="data-active=${linkActive == 'kipPeriodesList'}? 'true'"
										th:href="@{'/kipkuliah/periode'}"
										class="flex w-full items-center rounded-default p-2 py-1.5 text-on-surface-lower hover:bg-surface-container-higher hover:text-on-surface data-[active=true]:bg-surface-container-higher"
									>
										KIP Periode</a
									>
								</li>
							</ul>
						</li>
						<li>
							<form class="w-full" method="POST" th:action="@{/logout}">
								<button
									type="submit"
									class="flex w-full items-center rounded-default p-2 text-on-surface-lower hover:bg-surface-container-higher hover:text-on-surface data-[active=true]:bg-surface-container-higher data-[active=true]:text-on-surface"
								>
									<svg
										xmlns="http://www.w3.org/2000/svg"
										fill="none"
										viewBox="0 0 24 24"
										stroke-width="1.5"
										stroke="currentColor"
										class="size-5 rotate-90"
									>
										<path
											stroke-linecap="round"
											stroke-linejoin="round"
											d="M3 16.5v2.25A2.25 2.25 0 0 0 5.25 21h13.5A2.25 2.25 0 0 0 21 18.75V16.5m-13.5-9L12 3m0 0 4.5 4.5M12 3v13.5"
										/>
									</svg>

									<span class="ms-3 flex-1 truncate whitespace-nowrap text-left">Log Out</span>
								</button>
							</form>
						</li>
					</ul>
				</div>
				<!-- User Profile -->
				<div class="px-3 py-2">
					<button
						type="button"
						class="flex w-full flex-nowrap items-center gap-2 rounded-default p-2 hover:bg-surface-container-higher"
					>
						<img th:src="${'/img/user-profile.jpg'}" alt="user-img" class="size-10 rounded-default" />
						<div class="overflow-hidden text-left">
							<p th:text="${user.name}" class="truncate text-sm font-medium text-on-surface-higher">
								Name
							</p>
							<p th:text="${user.email}" class="truncate text-sm text-on-surface-lower">
								yourmail@company.com
							</p>
						</div>
					</button>
				</div>
			</div>
		</aside>
	</body>
</html>
